"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.migrationTemplate = void 0;
const os_1 = require("os");
function migrationTemplate(libName, name) {
    return [
        `import { Migration } from '${libName}';`,
        `import { INestApplication } from "@nestjs/common";`,
        'import { Db, MongoClient } from \'mongodb\';',
        '',
        `// ${name}`,
        '',
        'const migration: Migration = {',
        '  async up(db: Db, connection: MongoClient, app: INestApplication) {',
        '    // TODO Implement',
        '  },',
        '};',
        'export default migration;'
    ].join(os_1.EOL);
}
exports.migrationTemplate = migrationTemplate;
// No support for `down` migration yet.
// '  async down(db: Db, connection: MongoClient, app: INestApplication) {',
// '  }',
