/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { IdentifiableSchema } from "../types/schemas";
import { Document, Schema as MongooseSchema } from "mongoose";
/**
 * @ignore
 */
export declare class Changelog implements IdentifiableSchema {
    readonly _id: MongooseSchema.Types.ObjectId;
    identifier: string;
    applied: Date;
}
export type ChangelogDocument = Changelog & Document;
export declare const ChangelogSchema: MongooseSchema<Changelog, import("mongoose").Model<Changelog, any, any, any, Document<unknown, any, Changelog> & Changelog & Required<{
    _id: MongooseSchema.Types.ObjectId;
}>, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Changelog, Document<unknown, {}, import("mongoose").FlatRecord<Changelog>> & import("mongoose").FlatRecord<Changelog> & Required<{
    _id: MongooseSchema.Types.ObjectId;
}>>;
