"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTimestamp = void 0;
const case_anything_1 = require("case-anything");
function getTimestamp() {
    const now = new Date();
    const y = now.getFullYear();
    const m = now.getMonth() + 1;
    const d = now.getDate();
    const h = now.getHours();
    const min = now.getMinutes();
    const s = now.getSeconds();
    return (0, case_anything_1.kebabCase)(`${y} ${pad2(m)} ${pad2(d)} ${pad2(h)}${pad2(min)}${pad2(s)}`);
}
exports.getTimestamp = getTimestamp;
function pad2(num) {
    return num.toString().padStart(2, '0');
}
